## MgEntryShell

MgEntryShell — Provides the necessary button to control ths state of a MgDataEntry

## Synopsis

    struct      MgEntryShell;
    guint       mg_entry_shell_get_type         (void);
    void        mg_entry_shell_pack_entry       (MgEntryShell *shell,
                                                 GtkWidget *main_widget);
    void        mg_entry_shell_refresh          (MgEntryShell *shell);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----MgEntryShell
                                           +----MgEntryWrapper
                                           +----MgEntryCombo

## Implemented Interfaces

MgEntryShell implements AtkImplementorIface.

## Properties

      "actions"              gboolean             : Read / Write
      "handler"              gpointer             : Read / Write
      "is-cell-renderer"     gboolean             : Read / Write

## Description

This class adds a button on the right of a data entry and provides the default actions on the assicated data. This class MUST NOT be instanciated directly, but inherited by a class which implements the MgDataEntry interface.

## Details

### struct MgEntryShell

    struct MgEntryShell;

### mg_entry_shell_get_type ()

    guint       mg_entry_shell_get_type         (void);

Register the MgEntryShell class on the GLib type system.

Returns : | the GType identifying the class.

### mg_entry_shell_pack_entry ()

    void        mg_entry_shell_pack_entry       (MgEntryShell *shell,
                                                 GtkWidget *main_widget);

Packs a GTkWidget widget into the MgEntryShell.

`shell` : | a MgEntryShell object
`main_widget` : | a GtkWidget to pack into `shell`

### mg_entry_shell_refresh ()

    void        mg_entry_shell_refresh          (MgEntryShell *shell);

Forces the shell to refresh its display (mainly the color of the button).

`shell` : | the MgEntryShell widget to refresh

## Properties

"`actions`" (gboolean : Read / Write) |
"`handler`" (gpointer : Read / Write) |
"`is-cell-renderer`" (gboolean : Read / Write) |